org.apache.fop.fonts.substitute

## Class FontSubstitutionsConfigurator

- java.lang.Object
- - org.apache.fop.fonts.substitute.FontSubstitutionsConfigurator

    public class FontSubstitutionsConfigurator
    extends Object

Configures a font substitution catalog

### Constructor Summary

Constructors
Constructor and Description
`FontSubstitutionsConfigurator(Configuration cfg)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(FontSubstitutions substitutions)` Configures a font substitution catalog

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontSubstitutionsConfigurator

    public FontSubstitutionsConfigurator(Configuration cfg)

Main constructor

Parameters:
  `cfg` - a configuration

### Method Detail

#### configure

    public void configure(FontSubstitutions substitutions)
                   throws FOPException

Configures a font substitution catalog

Parameters:
  `substitutions` - font substitutions
Throws:
  `FOPException` - if something's wrong with the config data